Subject: [rohc] Question about packet types UPDATE

From: [email-masked]
Date: Thu, 3 Oct 2002 15:16:25 +0100

Hi All

Apologies, my first paragraph didn't quite make sense. It should have said:

In RFC 3095 section 5.2.7 there is a paragraph stating that type 1 packets
can be used when the number of bits needed for the SN exceed those available
in packet type 0. However, looking at the structure of the packets in 5.7.1
and 5.7.2 the number of bits available for SN is exactly the same for type 1
and type 0 packets. Have I misunderstood the explanation?

Thank you

Matthew

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]
Sent: 03 October 2002 12:28
To: [email-masked]
Subject: [rohc] Question about packet types

Hi

I wonder if anyone could explain something to me.

In RFC 3095 section 5.2.7 there is a paragraph stating that type 1 packets
can be used when the number of bits needed for the SN exceed those available
in packet type 0. However, looking at the structure of the packets in 5.7.1
and 5.7.2 the number of bits available for SN is exactly the same for type 1
and type 2 packets. Have I misunderstood the explanation?

Secondly I don't quite understand the difference between UO-1 and UO-1-TS.
Their appears to be only 1 bit difference in that UO-1 can have a TS which
is 1 bit larger than for UO-1-TS. Firstly why is there a TS in UO-1?
Secondly I don't see why this difference relates to value(RND), it states
that UO-1 cannot be used if the context contains at least one header with
value(RND) = 0 and it is a different statement for UO-1-TS. But the RND
value relates to IP-ID not TS.

Any help would be much appreciated

Thank you

Matthew 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Thu, 3 Oct 2002 17:04:54 +0200

Matthew,

> In RFC 3095 section 5.2.7 there is a paragraph stating that 
> type 1 packets can be used when the number of bits needed
> for the SN exceed those available in packet type 0.

Well it says:
"This packet type is used when the number of bits needed for
the SN exceeds those available in packet type zero, OR when 
the parameters of the SN-functions for RTP TS or IP-ID change.

There are thus more than one reason to use PT1 instead of PT0.

> However, looking at the structure of the packets in 5.7.1
> and 5.7.2 the number of bits available for SN is exactly the 
> same for type 1 and type 0 packets. 

Some PT1 packets can have an extension with more SN bits. 

> Secondly I don't quite understand the difference between UO-1 
> and UO-1-TS. Their appears to be only 1 bit difference in that
> UO-1 can have a TS which is 1 bit larger than for UO-1-TS.
> Firstly why is there a TS in UO-1?

Note that UO-1-TS and UO-1 are not simultaneously available.
UO-1 can only be used if there is no compressed IP-ID value
(IPv6 or IP-ID included "as-is" because it behaves randomly.

> Secondly I don't see why this difference relates to 
> value(RND), it states that UO-1 cannot be used if the
> context contains at least one header with value(RND) = 0
> and it is a different statement for UO-1-TS. 
> But the RND value relates to IP-ID not TS.

UO-1 is the available format if there is no IP-ID to send
in compressed form (no header with value(RND)=0), otherwise
UO-1-TS/ID are the available formats.

BR
/L-E